%global gem_name rspec-its
Name:                rubygem-%{gem_name}
Version:             1.2.0
Release:             3
Summary:             Provides "its" method formerly part of rspec-core
License:             MIT
URL:                 https://github.com/rspec/rspec-its
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Fix Ruby 2.4 compatibility
# https://github.com/rspec/rspec-its/pull/45
Patch0:              rubygem-rspec-its-1.2.0-Fix-Ruby-2.4-compatibility.patch
Patch1:              rubygem-rspec-its-1.2.0-Bump-to-RSpec-3.9.patch
Patch2:              0001-replace-wave-line-with-not.patch

BuildRequires:       ruby(release) rubygems-devel rubygem-rspec-core rubygem(rspec-expectations)
BuildRequires:       rubygem(aruba)
BuildRequires:       rubygem(did_you_mean)
BuildArch:           noarch
%description
RSpec extension gem for attribute matching.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}
%patch1 -p1
%patch2 -p1
%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
cat %{PATCH0} | patch -p1 -F 0
rspec -Ilib spec
export RUBYOPT="-I${PWD}/lib"
cucumber
popd

%files
%{!?_licensedir:%global license %%doc}
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/spec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/script
%doc %{gem_instdir}/README.md
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Tue Jan 17 2023 Ge Wang <wangge20@h-partners.com> - 1.2.0-3
- Replace wave line with not

* Wed Jun 29 2022 liyanan <liyanan32@h-partners.com> - 1.2.0-2
- Fix build failed with rubygem-rspec

* Tue Aug 18 2020 xiezheng <xiezheng4@huawei.com> - 1.2.0-1
- package init
